<template>
  <div >
    <apex-chart type="bar" :options="options" :series="barSeries"></apex-chart>
  </div>
</template>
<script>
import ApexChart from "vue-apexcharts";
export default {
  components: {
    ApexChart
  },
  data() {
    return {
      barSeries: [
        {
          name: "New User",
          data: []
        }
      ],
      options: {
        chart: {
          fontFamily: "Poppins, sand-serif",
          animations: {
            speed: 500
          },
          toolbar: {
            show: true,
            tools: {
              download: true,
              selection: false,
              zoom: false,
              zoomin: true,
              zoomout: true,
              pan: true,
              reset: true,
              customIcons: []
            },
            autoSelected: "pan"
          }
        },
        title: {
          text: "New User Last 30 Days",
          align: "left",
          style: {
            fontSize: "15px",
            color: "#282d32"
          }
        },
        grid: {
          show: true,
          yaxis: {
            lines: {
              show: false
            }
          }
        },
        fill: {
          type: "solid"
        },
        xaxis: {
          type: "datetime",
          categories: [],
          labels: {
            show: true,
            style: {
              colors: "#a0a0a0"
            }
          },
          axisTicks: {
            show: false
          },
          tooltip: {
            enabled: false
          }
        },
        yaxis: {
          show: false
        },
        dataLabels: {
          enabled: false
        },
        plotOptions: {
          bar: {
            horizontal: false,
            columnWidth: "15%"
          }
        },
        tooltip: {
          theme: "light",
          style: {
            fontSize: "1rem"
          },
          x: {
            show: true
          }
        },
        responsive: [
          {
            breakpoint: 500,
            options: {
              chart: {
                toolbar: {
                  show: true,
                  tools: {
                    download: true
                  }
                }
              }
            }
          }
        ]
      }
    };
  },
  methods: {
    moment: function() {
      return moment();
    }
  },
  computed: {
    dashboardData() {
      return this.$store.getters["dashboard/dashboardData"];
    }
  },
  created() {
    if (!_.isNull(this.dashboardData)) {
      let data = this.dashboardData.chart.daily_user;
      let categories = this.options.xaxis.categories;
      let labels = Object.keys(data);
      _.map(labels, function(value, index) {
        return (categories[index] = value);
      });
      this.barSeries[0].data = Object.values(data);
    }
  }
};
</script>
<style lang="scss" scoped>
</style>
